Create a contact
curl --request POST \
--url https://api.impellabs.tech/api/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Dana",
"phone": "+15550100",
"email": "dana@example.org",
"tags": [
"wholesale"
]
}
'import requests
url = "https://api.impellabs.tech/api/v1/contacts"
payload = {
"name": "Dana",
"phone": "+15550100",
"email": "dana@example.org",
"tags": ["wholesale"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Dana',
phone: '+15550100',
email: 'dana@example.org',
tags: ['wholesale']
})
};
fetch('https://api.impellabs.tech/api/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Dana',
'phone' => '+15550100',
'email' => 'dana@example.org',
'tags' => [
'wholesale'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/contacts"
payload := strings.NewReader("{\n \"name\": \"Dana\",\n \"phone\": \"+15550100\",\n \"email\": \"dana@example.org\",\n \"tags\": [\n \"wholesale\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/contacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Dana\",\n \"phone\": \"+15550100\",\n \"email\": \"dana@example.org\",\n \"tags\": [\n \"wholesale\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Dana\",\n \"phone\": \"+15550100\",\n \"email\": \"dana@example.org\",\n \"tags\": [\n \"wholesale\"\n ]\n}"
response = http.request(request)
puts response.read_bodyContacts
Create a contact
Send a name, a phone number with its country code, an email address, or any of them.
POST
/
api
/
v1
/
contacts
Create a contact
curl --request POST \
--url https://api.impellabs.tech/api/v1/contacts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Dana",
"phone": "+15550100",
"email": "dana@example.org",
"tags": [
"wholesale"
]
}
'import requests
url = "https://api.impellabs.tech/api/v1/contacts"
payload = {
"name": "Dana",
"phone": "+15550100",
"email": "dana@example.org",
"tags": ["wholesale"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'Dana',
phone: '+15550100',
email: 'dana@example.org',
tags: ['wholesale']
})
};
fetch('https://api.impellabs.tech/api/v1/contacts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.impellabs.tech/api/v1/contacts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'name' => 'Dana',
'phone' => '+15550100',
'email' => 'dana@example.org',
'tags' => [
'wholesale'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.impellabs.tech/api/v1/contacts"
payload := strings.NewReader("{\n \"name\": \"Dana\",\n \"phone\": \"+15550100\",\n \"email\": \"dana@example.org\",\n \"tags\": [\n \"wholesale\"\n ]\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.impellabs.tech/api/v1/contacts")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"Dana\",\n \"phone\": \"+15550100\",\n \"email\": \"dana@example.org\",\n \"tags\": [\n \"wholesale\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.impellabs.tech/api/v1/contacts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"Dana\",\n \"phone\": \"+15550100\",\n \"email\": \"dana@example.org\",\n \"tags\": [\n \"wholesale\"\n ]\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Body
application/json
Response
Success